OperationsCommander - https://opscom.wiki

Push API: Permit Delete

API access is a paid feature and must be granted by OPSCOM. Email your Account Executive to negotiate access. 

The OPSCOM Controller provides a simple JSON based API to integrate with. Clients use this API to directly feed details about existing paid permits and their changes into OPSCOM from other systems such as Parking apps.  

Make sure you set the HTTP Content-Type header to be application/json.

Making API Requests

Raw Request:

POST /api/OC-TOMA/v1/permits/delete HTTP/1.1
Host: controller.operationscommander.io
Accept: application/json
Content-Type: application/json
Cache-Control: no-cache
 
{
    "apiToken": "YOUR-API-TOKEN",
    "referenceID": "PREVIOUS-REFERENCE-ID"
}

JavaScript Request:

var request = new XMLHttpRequest();
 
 
request.setRequestHeader('Content-Type''application/json');
request.setRequestHeader('Accept''application/json');
 
request.onreadystatechange = function () {
  if (this.readyState === 4) {
    console.log('Status:'this.status);
    console.log('Headers:'this.getAllResponseHeaders());
    console.log('Body:'this.responseText);
  }
};
 
 
var body = {
    "apiToken""YOUR-API-TOKEN",
    "referenceID""PREVIOUS-REFERENCE-ID"
}
request.send(JSON.stringify(body));

Request Object Attributes

Attribute Type

Limits

Possible Names
Description
apiToken String

50-character alphanumeric including dashes

apiToken (Required) Your supplied API Token.

Reference ID

String 50-character alphanumeric including dashes

referenceid

referenceID

reference_id

(Required) This value is supplied to when the permit push api is successful.

e.g. 1a9b5375-cb75-4c71-9939-eeae550b09ac

Successful Response

The response will be a json object. The same reference id will be returned.

Content-Type: application/json

{
    "status""success",
    "reference_id""1a9b5375-cb75-4c71-9939-eeae550b09ac",
    "InternalReferenceID""1a9b5375-cb75-4c71-9939-eeae550b09ac"
}

Take Command of Your Parking and Security - https://OperationsCommander.com

Revision #2
Created 9 October 2024 08:21:57
Updated 19 August 2025 09:24:38